//---------------------------------------------------------------------------
//
//	File:			DEBUG.CPP
//	Programmer:		Bob Provencher
//	Create Date:	4/26/96
//	Last Mod Date:	4/26/96
//	Description:	diagnostics and messages
//
//	Copyright (c) 1996 Cog Interactive
//	All Rights Reserved.
//
//---------------------------------------------------------------------------

#include "SysInc.h"
#pragma hdrstop

#ifndef __DEBUG_H__
#include "Debug.h"
#endif

#ifndef __GEN_H__
#include "Gen.h"
#endif

#ifdef _DEBUG

ofstream debug( "debug.txt" );
BOOL trace = TRUE;
BOOL _break = TRUE;

void Assert( BOOL b, const string stmt, const string file, int line )
{
	if ( !b )
	{
		xAssertFail* x = new xAssertFail( stmt, file, line );
		TRACE( x->Desc().c_str() << "\r\n" );
		BREAK;
		throw( x );
	}
}

#endif
