//---------------------------------------------------------------------------
//
//	File:			GEN.CPP
//	Programmer:		Bob Provencher
//	Create Date:	4/28/96
//	Last Mod Date:	4/28/96
//	Description:	General purpose stuff
//
//	Copyright (c) 1996 Cog Interactive
//	All Rights Reserved.
//
//---------------------------------------------------------------------------

#include "SysInc.h"
#pragma hdrstop

#ifndef __COMMON_H__
#include "Common.h"
#endif

void Delay( DWORD delay )
{
	DWORD start, now;
    start = timeGetTime();
    do
    {
    	now = timeGetTime();
    }
    while ( now - start < delay );
}

//
//	returns ceiling of dividend / divisor
//

int iceil( int dividend, int divisor )
{
	ASSERT( dividend > 0 && divisor > 0 );
	int i = divisor;
    int j = 1;
    while ( i < dividend )
    {
    	i += divisor;
        j++;
    }
    return j;
}
