#ifndef __TILETEST_H__
#define __TILETEST_H__

//---------------------------------------------------------------------------
//
//	File:			TILETEST.H
//	Programmer:		Bob Provencher
//	Create Date:	6/25/95
//	Last Mod Date:	4/26/96
//	Description:	Tile test sample direct draw application
//
//	Copyright (c) 1995 Aesir Software, Inc.
//	Copyright (c) 1996 Cog Interactive
//	All Rights Reserved.
//
//---------------------------------------------------------------------------

#ifndef __SYSINC_H__
#include "SysInc.h"
#endif

#ifndef __GEN_H__
#include "Gen.h"
#endif

#ifndef __DDOBJ_H__
#include "DDObj.h"
#endif

extern HINSTANCE	hInst;
extern LPCSTR		lpszMainWndClass;
extern LPCSTR		lpszDirectDraw;
extern HWND		    hWndMain;
extern RECT			rcWnd, rcWndClient;
extern BOOL		    fActive;

extern int		    nScreenWidth, nScreenHeight;
extern int		    nClientWidth, nClientHeight;
extern int			nSurfWidth, nSurfHeight;

extern BOOL			bTrace;
extern BOOL			bWindowed;
extern BOOL			bRunning;

extern DWORD		dwFreq;
extern DWORD		dwVidMem;

extern int			bpp;
extern int			bytes_per_pixel;

extern DDObject		DirectDraw;

extern int man_x, man_y;

int PASCAL WinMain( HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR lpszCmdLine,
					int nCmdShow );
int Run();
BOOL InitApplication( HINSTANCE hInstance );
BOOL InitInstance( HINSTANCE hInstance, int nCmdShow );
BOOL AppIdle( void );
LPARAM CALLBACK MainWndProc( HWND hWnd, UINT message, WPARAM wParam,
							 LPARAM lParam );
void WritePrivateProfileInt( LPCSTR section, LPSTR key, int value, LPSTR file );

void InitDirectDraw( void );

#endif

