//---------------------------------------------------------------------------
//
//	File:			EXCEPT.CPP
//	Programmer: 	Bob Provencher 
//	Create Date:	1/23/94
//	Last Mod Date:	4/6/96
//	Description:	Exceptions
//
//	Copyright (c) 1994, 1995. Aesir Software, Inc.
//	Copyright (c) 1996. Cog Interactive.
//	All Rights Reserved.
//
//---------------------------------------------------------------------------

#include "SysInc.h"
#pragma hdrstop

#ifndef __EXCEPT_H__
#include "Except.h"
#endif

string Exception::Desc() const
{
	return File() + " line " + LineStr() + ": " + Info();
}

string xAPIFail::Desc() const
{
	return Exception::Desc() + " API Error Code: " + GetAPIErrorStr();
}

